Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Clone a template to the user’s team as a new custom processor.
Python
import requests url = "https://www.datalab.to/api/v1/processor_templates/{slug}/clone" headers = {"X-API-Key": "<api-key>"} response = requests.post(url, headers=headers) print(response.text)
curl --request POST \ --url https://www.datalab.to/api/v1/processor_templates/{slug}/clone \ --header 'X-API-Key: <api-key>'
const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}}; fetch('https://www.datalab.to/api/v1/processor_templates/{slug}/clone', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://www.datalab.to/api/v1/processor_templates/{slug}/clone" req, _ := http.NewRequest("POST", url, nil) req.Header.Add("X-API-Key", "<api-key>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
{ "success": true, "processor_id": "<string>" }
{ "detail": [ { "loc": [ "<string>" ], "msg": "<string>", "type": "<string>" } ] }
Successful Response
Response for cloning a template.
The new processor ID for the cloned processor
Was this page helpful?